DIPlib Documentation - ©1995-2011 Quantitative Imaging Group, Delft University of Technology.

# FeatureMinimum

Measure the object's minimum coordinate value

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureMinimumID ( void )

## OUTPUT DATA TYPE

`dip_IntegerArray`, `dip_FloatArray`

## FUNCTION

`dip_FeatureMinimumID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the minimum coordinate value of each dimension of the object.

If a `dip_PhysicalDimensions` parameter is given to `Measure`, the minimum coordinate of the object is given in physical units, and is a `dip_FloatArray` rather than a `dip_IntegerArray`.

## SEE ALSO

`Measure`

`FeatureDimension`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMaximum`, `FeatureMinimum`, `FeatureFeret`, `FeatureMaxVal`, `FeatureMinVal`, `FeatureMean`, `FeatureStdDev`, `FeatureSum`, `FeatureMass`, `FeaturePerimeter`, `FeatureP2A`, `FeatureShape`, `FeatureSurfaceArea`, `FeatureAnisotropy2D`, `FeatureInertia`, `FeatureGinertia`, `FeatureMu`, `FeatureGmu`, `FeatureBendingEnergy`, `FeatureChainCodeBendingEnergy`, `FeatureExcessKurtosis`, `FeatureLongestChaincodeRun`, `FeatureOrientation2D`, `FeatureSkewness`